<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <app-header :propsdata='num'></app-header>
    <app-content @pass="deliverNum"></app-content>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script>
    var appHeader = {
      template: '<div>header{{propsdata}}</div>',
      props:['propsdata']
    }
    var appContent = {
      template: '<div>content<button @click="passNum">pass</button></div>',
      methods: {
        passNum:function(){
          this.$emit('pass', 10);
        }
      }
    }
  new Vue({
    el: '#app',
    components: {
      'app-header' : appHeader,
      'app-content' : appContent
    },
    data: {
      num : 0
    },
    methods: {
      deliverNum:function(value){
        this.num = value;
      }
    }
  })
  </script>
</body>
</html>